package com.iamberry.wechat.core.entity.activity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;

/**
 *  活动好友助力类
 * @author w
 * @Date 2018-06-07
 */
public class ActivityHelp  implements  Serializable{
    private static final long serialVersionUID = 5579227791941353533L;
    //助力id
    private Integer activityHelpId;
    //参与id
    private Integer activityId;
    //用户openid
    private String userOpenId;
    private String userHead;				//用户头像
    private String userNickname;			//用户昵称
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date activityCreateTime;

    public Integer getActivityHelpId(){
        return activityHelpId;
    }

    public void setActivityHelpId(Integer  activityHelpId){
        this.activityHelpId=activityHelpId;
    }

    public Integer getActivityId(){
        return activityId;
    }

    public void setActivityId(Integer  activityId){
        this.activityId=activityId;
    }

    public String getUserOpenId(){
        return userOpenId;
    }

    public void setUserOpenId(String  userOpenId){
        this.userOpenId=userOpenId;
    }

    public Date getActivityCreateTime(){
        return activityCreateTime;
    }

    public void setActivityCreateTime(Date  activityCreateTime){
        this.activityCreateTime=activityCreateTime;
    }

    public String getUserHead() {
        return userHead;
    }

    public void setUserHead(String userHead) {
        this.userHead = userHead;
    }

    public String getUserNickname() {
        return userNickname;
    }

    public void setUserNickname(String userNickname) {
        this.userNickname = userNickname;
    }
}